Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Gemfile tweaks #56

Closed
wants to merge 3 commits into from

2 participants

@filiptepper

Hi guys!

Hope you can find this useful. I was installing citizenry on Debian 5 (default Debian minimal for my VPS provider) and I ran across some issue with Gemfile. One was the source of redfinger gem (it has a new location on Github), the other was https:// protocol which is not supported by older version of git.

@reidab reidab referenced this pull request from a commit
@reidab Use git:// protocol instead of https:// in Gemfile for compatibility …
…with older git versions (as pointed out in #56)
29c42d6
@reidab reidab referenced this pull request from a commit
@reidab Fix typo in INSTALL.md (per #56) 0ffb846
@reidab
Owner

Thanks!

I updated the Gemfile to use git:// instead of https:// and fixed the typo in INSTALL.md.

The redfinger gem source is purposely pointed at my fork of redfinger because it includes some crucial bug fixes that haven't yet been merged back into intridea/redfinger.

@reidab reidab closed this
@reidab reidab referenced this pull request from a commit
@reidab Use git:// protocol instead of https:// in Gemfile for compatibility …
…with older git versions (as pointed out in #56)
22cd926
@reidab reidab referenced this pull request from a commit
@reidab Fix typo in INSTALL.md (per #56) f9877d4
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Nov 24, 2011
  1. @filiptepper
  2. @filiptepper

    use git:// instead of https://

    filiptepper authored
    git:// protocol is compatible with older versions of git
  3. @filiptepper

    typo

    filiptepper authored
This page is out of date. Refresh to see the latest.
Showing with 15 additions and 15 deletions.
  1. +3 −3 Gemfile
  2. +11 −11 Gemfile.lock
  3. +1 −1  INSTALL.md
View
6 Gemfile
@@ -27,15 +27,15 @@ gem 'devise', "~> 1.4.5"
gem 'omniauth', "~> 0.2.6"
# Automatic login provider selection
-gem 'redfinger', '~> 0.1.0', :git => "https://github.com/reidab/redfinger.git"
+gem 'redfinger', '~> 0.1.0', :git => "git://github.com/intridea/redfinger.git"
gem 'ruby-openid', '~> 2.1.8'
gem 'net-dns', '~> 0.6.1', :require => 'net/dns/resolver'
# Client libraries for authenticated services
# TODO: Upgrade these to newer versions after omniauth 0.3 upgrade
gem 'twitter', '~> 1.6.0'
-gem 'linkedin', '~> 0.2.2', :git => "https://github.com/pengwynn/linkedin.git", :tag => 'v0.2.2'
-gem 'mogli', '~>0.0.25', :git => "https://github.com/reidab/mogli.git" # facebook
+gem 'linkedin', '~> 0.2.2', :git => "git://github.com/pengwynn/linkedin.git", :tag => 'v0.2.2'
+gem 'mogli', '~>0.0.25', :git => "git://github.com/reidab/mogli.git" # facebook
gem 'foursquare2', '~>1.1.0' # https://gist.github.com/419219 <- github oauth docs!
#--[ Search ]-------------------------------------------------------------------
View
22 Gemfile.lock
@@ -1,5 +1,14 @@
GIT
- remote: https://github.com/pengwynn/linkedin.git
+ remote: git://github.com/intridea/redfinger.git
+ revision: b9003e503ada84b40edef1f99d5f7966b8335d3b
+ specs:
+ redfinger (0.1.0)
+ hashie
+ nokogiri (>= 1.4.0)
+ rest-client (>= 1.5.0)
+
+GIT
+ remote: git://github.com/pengwynn/linkedin.git
revision: 5ba7d9adc3c4491abb0c1ef9c3cc0ca1ae7aff13
tag: v0.2.2
specs:
@@ -8,21 +17,12 @@ GIT
oauth (~> 0.4.0)
GIT
- remote: https://github.com/reidab/mogli.git
+ remote: git://github.com/reidab/mogli.git
revision: bf9cc73404b66c5812f07fd542af2f373b7a3e76
specs:
mogli (0.0.25)
httparty (>= 0.4.3)
-GIT
- remote: https://github.com/reidab/redfinger.git
- revision: 46be5f9695be4b3e2b38b21603570dfaa4a5aeb4
- specs:
- redfinger (0.1.0)
- hashie
- nokogiri (>= 1.4.0)
- rest-client (>= 1.5.0)
-
GEM
remote: http://rubygems.org/
specs:
View
2  INSTALL.md
@@ -47,7 +47,7 @@ You will need to install more software to do development on your local machine:
1. Copy the sample database settings into place:
- cp config/database-sample.yml config/databse.yml
+ cp config/database-sample.yml config/database.yml
1. Configure the database settings in the `config/database.yml` file as needed, see the instructions in the `config/database-sample.yml` file for details.
Something went wrong with that request. Please try again.